MemJavaFileObject (Groovy 4.0.15)

Package: org.codehaus.groovy.tools.javac

## [Java] Class MemJavaFileObject

- org.codehaus.groovy.tools.javac.MemJavaFileObject

-     public class MemJavaFileObject
      extends SimpleJavaFileObject

  Represents a Java source file in memory to compile

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MemJavaFileObject(ClassNode classNode, String src)` Construct a MemJavaFileObject instance with given class node and source code
    `MemJavaFileObject(String className, String src)` Construct a MemJavaFileObject instance with given class name and source code

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)`
    `` | `public CharSequence` | `getCharContent(boolean ignoreEncodingErrors)`
    `` | `public int` | `hashCode()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleJavaFileObject` | `getName, toString, delete, toUri, getLastModified, openInputStream, openOutputStream, openReader, getKind, isNameCompatible, getCharContent, getNestingKind, getAccessLevel, openWriter, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MemJavaFileObject(ClassNode classNode, String src)

      Construct a MemJavaFileObject instance with given class node and source code

      Parameters:
        `classNode` - the class node
        `src` - the source code

    - #### public MemJavaFileObject(String className, String src)

      Construct a MemJavaFileObject instance with given class name and source code

      Parameters:
        `className` - the class name
        `src` - the source code

  - ### Method Detail

    - #### @Override
      public boolean equals(Object o)

    - #### @Override
      public CharSequence getCharContent(boolean ignoreEncodingErrors)

    - #### @Override
      public int hashCode()

    - #### @Override
      public String toString()